﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Store.BusinessLogic.Model;

namespace Store.BusinessLogic.Managers
{
    public interface ICustomerManager
    {
        IEnumerable<Customer> List();

        Customer Get(int id);
        Customer Get(string userName);

        void Create(Customer customer);
        void Update(Customer customer);
        void Delete(Customer customer);
    }
}
