﻿using System;

namespace Store.BusinessLogic.Managers
{
    public interface IStoreUnitOfWork : IDisposable
    {
        IProductManager ProductManager { get; }

        IOrderManager OrderManager { get; }

        ICustomerManager CustomerManager { get; }

        void Save();
    }
}