﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Store.BusinessLogic.Managers
{
    public interface IMembershipManager
    {
        int MinPasswordLength { get; }

        bool ValidateUser(string userName, string password);

        bool UserExists(string userName);

        bool CreateUser(string userName, string password, string email);

        bool ChangePassword(string userName, string oldPassword, string newPassword);
    }
}
